Summary:        Use modules bundled in inc/ if they are newer than installed ones
Name:           perl-inc-latest
Version:        0.500
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://metacpan.org/dist/inc-latest
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/inc-latest-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
# Tests
BuildRequires:  perl(File::Spec) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(ExtUtils::Installed)

BuildArch:      noarch

%description
The inc::latest module helps bootstrap configure-time dependencies 
for CPAN distributions. These dependencies get bundled into the inc 
directory within a distribution and are used by Makefile.PL or Build.PL.
WARNING -- THIS IS AN EXPERIMENTAL MODULE. It was originally bundled 
(as an experiment) with Module::Build and has been split out for more 
general use.


%prep
%autosetup -n inc-latest-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.500-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.500-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 doriscchao <doriscchao@tencent.com> - 0.500-1
- initial build, Version 0.500, Release 1

